Index: libstdc++-v3/ChangeLog
===================================================================
--- libstdc++-v3/ChangeLog	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/ChangeLog	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,3 +1,244 @@
+2012-12-18  Matthew Gretton-Dann  <matthew.gretton-dann@linaro.org>
+
+	Backport from mainline
+	2012-10-15  Matthias Klose  <doko@ubuntu.com>
+
+	* configure.host: Match arm*-*-linux-* for ARM Linux/GNU.
+	* testsuite/20_util/make_signed/requirements/typedefs-2.cc: Likewise.
+	* testsuite/20_util/make_unsigned/requirements/typedefs-2.cc: Likewise.
+
+2012-12-18  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* doc/xml/manual/abi.xml: Update URLs for C++ ABI.
+	* doc/xml/manual/policy_data_structures_biblio.xml: Add xmlns
+	* doc/xml/manual/policy_data_structures.xml: Set filename for chunk.
+	* doc/xml/manual/spine.xml: Update copyright years.
+	* doc/html/*: Regenerate.
+
+2012-12-17  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* src/c++11/thread.cc: Update copyright years.
+
+2012-12-16  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* src/c++11/thread.cc (execute_native_thread_routine): Do not swallow
+	__forced_unwind exceptions.
+	* testsuite/30_threads/thread/native_handle/cancel.cc: New.
+
+2012-12-12  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/55631
+	* include/ext/alloc_traits.h: Include missing header.
+	* include/ext/pointer.h: Likewise.
+	* include/ext/string_conversions.h: Require C++11.
+	* libsupc++/initializer_list: Reindent.
+
+2012-12-12  Benjamin Kosnik  <bkoz@redhat.com>
+
+        * doc/xml/manual/documentation_hacking.xml: Fix validation issue.
+
+2012-12-10  Benjamin Kosnik  <bkoz@redhat.com>
+
+	* doc/Makefile.am (xml_sources_manual): Add
+	policy_data_structures_biblio.xml.
+	(${docbook_outdir}/latex): Add.
+	(doc-xml-validate-docbook): Split into..
+	(doc-xml-validate-dtd-db):... this for DTD.
+	(doc-xml-validate-rng-db):... this for Relax NG.
+	(doc-pdf-docbook-dirs): Add.
+	(doc-pdf-docbook-pre): Add.
+	* doc/xml/manual/build_hacking.xml: Add literal markup.
+	* doc/xml/manual/documentation_hacking.xml: Clean whitespace in
+	<filename> markup. Add notes about debugging the generation process.
+	* doc/xml/manual/policy_data_structures.xml: Split biblio into...
+	* doc/xml/manual/policy_data_structures_biblio.xml: ... this. New.
+	* doc/xml/manual/test_policy_data_structures.xml: Fixup <filename>
+	markup.
+
+2012-12-10  Matthias Klose  <doko@ubuntu.com>
+
+	* src/Makefile.am (libstdc++-symbols.ver): Use CONFIG_HEADER.
+	* src/Makefile.in: Regenerate.
+
+2012-12-01  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	PR libstdc++/55503
+	* testsuite/30_threads/condition_variable/members/53841.cc: Add
+	hppa*-hp-hpux11* to -pthread dg-options.
+
+2012-11-20  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55413
+	* include/bits/hashtable.h (_Hashtable<>::_M_rehash_aux): Initialize
+	__bbegin_bkt and __prev_bkt to avoid uninitialized warnings.
+	* testsuite/23_containers/unordered_set/instantiation_neg.cc: Adjust
+	dg-error line number.
+
+2012-11-15  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/53841
+	* include/std/condition_variable (condition_variable::wait_until):
+	Handle clocks with higher resolution than __clock_t.
+	* testsuite/30_threads/condition_variable/members/53841.cc: New.
+
+2012-11-14  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/55320
+	* include/std/functional (function::function(F)): Set _M_manager after
+	operations that could throw.
+	(_Function_base::_Ref_manager::_M_init_functor): Use addressof.
+	* include/tr1/functional
+	(_Function_base::_Ref_manager::_M_init_functor): Use addressof.
+	(_Function_base::_Base_manager::_M_get_pointer): Likewise.
+	* testsuite/20_util/function/cons/55320.cc: New.
+	* testsuite/20_util/function/cons/addressof.cc: New.
+	* testsuite/20_util/bind/ref_neg.cc: Adjust dg-error line numbers.
+	* testsuite/tr1/3_function_objects/function/10.cc: New.
+
+2012-11-12  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* include/std/future (atomic_future): Remove declaration of
+	non-standard name.
+
+2012-11-08  François Dumont  <fdumont@gcc.gnu.org>
+
+	PR libstdc++/54075
+	* include/bits/hashtable.h (_Hashtable<>::rehash): Reset hash
+	policy state if no rehash.
+	* testsuite/23_containers/unordered_set/modifiers/reserve.cc
+	(test02): New.
+
+2012-11-08  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* include/profile/iterator_tracker.h (operator++): Fix returning
+	dangling reference.
+	(operator--): Likewise.
+
+2012-11-06  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* testsuite/20_util/shared_ptr/cons/55123.cc: Remove duplicate
+	include.
+
+2012-11-06  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* testsuite/*: Fix copying permission statements.
+
+2012-11-05  Benjamin Kosnik  <bkoz@redhat.com>
+
+        PR libstdc++/28811
+        PR libstdc++/54482
+        * configure.ac (glibcxx_lt_pic_flag,
+          glibcxx_compiler_pic_flag,
+          glibcxx_compiler_shared_flag): New. Use them.
+        (lt_prog_compiler_pic_CXX): Set via glibcxx_*_flag(s) above.
+        (pic_mode): Set to default.
+        (PIC_CXXFLAGS): Remove.
+        * Makefile.am (PICFLAG, PICFLAG_FOR_TARGET): Remove. Comment.
+        * libsupc++/Makefile.am: Use glibcxx_ld_pic_flag and
+          glibcxx_compiler_shared_flag. Comment.
+        * src/c++11/Makefile.am: Same.
+        * src/c++98/Makefile.am: Same.
+        * src/Makefile.am: Use glibcxx_compiler_pic_flag.
+
+        * Makefile.in: Regenerated.
+        * aclocal.m4: Same.
+        * configure: Same.
+        * doc/Makefile.in: Same.
+        * include/Makefile.in: Same.
+        * libsupc++/Makefile.in: Same.
+        * po/Makefile.in: Same.
+        * python/Makefile.in: Same.
+        * src/Makefile.in: Same.
+        * src/c++11/Makefile.in: Same.
+        * src/c++98/Makefile.in: Same.
+        * testsuite/Makefile.in: Same.
+
+        * src/c++11/compatibility-atomic-c++0x.cc: Use
+          _GLIBCXX_SHARED instead of PIC to designate shared-only
+          code blocks.
+        * src/c++11/compatibility-c++0x.cc: Same.
+        * src/c++11/compatibility-thread-c++0x.cc: Same.
+        * src/c++98/compatibility-list-2.cc: Same.
+        * src/c++98/compatibility.cc: : Same.
+
+        * testsuite/17_intro/shared_with_static_deps.cc: New.
+
+        * doc/xml/manual/build_hacking.xml: Separate configure from
+        make/build issues, add build details.
+
+2012-11-05  Benjamin Kosnik  <bkoz@redhat.com>
+            Oleg Smolsky  <oleg@smolsky.net>
+
+	PR libstdc++/55028
+	*  config/abi/pre/gnu-versioned-namespace.ver: Add symbols.
+	* testsuite/23_containers/unordered_multimap/insert/55028-debug.cc: New.
+
+2012-11-05  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55215
+	* include/bits/random.tcc (mersenne_twister_engine<>::seed(_Sseq&)):
+	Assign state_size to _M_p.
+	* testsuite/26_numerics/random/mersenne_twister_engine/cons/55215.cc:
+	New.
+	* testsuite/26_numerics/random/independent_bits_engine/cons/55215.cc:
+	Likewise.
+	* testsuite/26_numerics/random/shuffle_order_engine/cons/55215.cc:
+	Likewise.
+	* testsuite/26_numerics/random/subtract_with_carry_engine/cons/
+	55215.cc: Likewise.
+	* testsuite/26_numerics/random/discard_block_engine/cons/55215.cc:
+	Likewise.
+	* testsuite/26_numerics/random/linear_congruential_engine/cons/
+	55215.cc: Likewise.
+
+2012-11-02  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55169
+	* include/bits/random.h: Remove all uses of param().
+
+2012-11-01   Haakan Younes  <hyounes@google.com>
+	     Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55047
+	* include/bits/random.h (exponential_distribution<>::operator):
+	Fix formula to std::log(result_type(1) - __aurng()).
+	* include/bits/random.tcc: Likewise, everywhere.
+
+2012-10-29  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/55123
+	* include/bits/shared_ptr_base.h (__shared_count::_S_create_from_up):
+	Do not instantiate allocator with element_type.
+	* testsuite/20_util/shared_ptr/cons/55123.cc: New.
+
+2012-10-10  Andrew MacLeod  <amacleod@redhat.com>
+
+	PR libstdc++/54861
+	* include/bits/atomic_base.h (atomic_signal_fence): Call
+	__atomic_signal_fence instead of __atomic_thread_fence.
+
+2012-09-20  Benjamin Kosnik  <bkoz@redhat.com>
+
+	PR libstdc++/54102, part 2
+	* doc/Makefile.am (XSL_HTML_STYLE): use xhtml, not html.
+	* doc/Makefile.in: Regenerate.
+	* doc/html/*: Same.
+
+2012-09-20  Benjamin Kosnik  <bkoz@redhat.com>
+
+	* doc/html/*: Regenerate.
+
+2012-09-20  Benjamin Kosnik  <bkoz@redhat.com>
+
+	PR libstdc++/54102
+	* doc/xsl/customization.xsl.in: New.
+	* configure.ac: Output local copy of customization xsl.
+	* doc/Makefile.am (stamp-html-single-docbook): Use XSL_LOCAL_STYLE.
+	(stamp-html-docbook): Set stringparam to UTF-8.
+	* Makefile.in: Regenerated.
+	* configure: Same.
+	* doc/Makefile.in: Same.
+
 2012-09-20  Release Manager
 
 	* GCC 4.7.2 released.
Index: libstdc++-v3/libsupc++/Makefile.am
===================================================================
--- libstdc++-v3/libsupc++/Makefile.am	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/libsupc++/Makefile.am	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -98,33 +98,6 @@
 libsupc___la_SOURCES = $(sources) $(c_sources)
 libsupc__convenience_la_SOURCES = $(sources) $(c_sources)
 
-# AM_CXXFLAGS needs to be in each subdirectory so that it can be
-# modified in a per-library or per-sub-library way.  Need to manually
-# set this option because CONFIG_CXXFLAGS has to be after
-# OPTIMIZE_CXXFLAGS on the compile line so that -O2 can be overridden
-# as the occasion call for it.
-AM_CXXFLAGS = \
-	$(PIC_CXXFLAGS) \
-	$(XTEMPLATE_FLAGS) \
-	$(WARN_CXXFLAGS) $(OPTIMIZE_CXXFLAGS)  $(CONFIG_CXXFLAGS)
-
-AM_MAKEFLAGS = \
-	"gxx_include_dir=$(gxx_include_dir)"
-
-
-# Use special rules for pulling things out of libiberty.  These
-# objects should be compiled with the "C" compiler, not the C++
-# compiler, and also should not use the C++ includes.
-C_INCLUDES = -I.. -I$(toplevel_srcdir)/libiberty -I$(toplevel_srcdir)/include
-C_COMPILE = \
-	$(CC) $(DEFS) $(C_INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-
-# LTCOMPILE is copied from LTCXXCOMPILE below.
-LTCOMPILE = $(LIBTOOL) --tag CC --tag disable-shared $(LIBTOOLFLAGS) --mode=compile \
-	    $(CC) $(DEFS) $(C_INCLUDES) $(PIC_CXXFLAGS) \
-	    $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-
 cp-demangle.c:
 	rm -f $@
 	$(LN_S) $(toplevel_srcdir)/libiberty/cp-demangle.c $@
@@ -155,13 +128,37 @@
 nested_exception.o: nested_exception.cc
 	$(CXXCOMPILE) -std=gnu++0x -c $<
 
+# AM_CXXFLAGS needs to be in each subdirectory so that it can be
+# modified in a per-library or per-sub-library way.  Need to manually
+# set this option because CONFIG_CXXFLAGS has to be after
+# OPTIMIZE_CXXFLAGS on the compile line so that -O2 can be overridden
+# as the occasion call for it.
+AM_CXXFLAGS = \
+	$(glibcxx_lt_pic_flag) $(glibcxx_compiler_shared_flag) \
+	$(XTEMPLATE_FLAGS) \
+	$(WARN_CXXFLAGS) $(OPTIMIZE_CXXFLAGS)  $(CONFIG_CXXFLAGS)
+
+AM_MAKEFLAGS = \
+	"gxx_include_dir=$(gxx_include_dir)"
+
+
+# Use special rules for pulling things out of libiberty.  These
+# objects should be compiled with the "C" compiler, not the C++
+# compiler, and also should not use the C++ includes.
+C_INCLUDES = -I.. -I$(toplevel_srcdir)/libiberty -I$(toplevel_srcdir)/include
+C_COMPILE = \
+	$(CC) $(DEFS) $(C_INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+
+# LTCOMPILE is copied from LTCXXCOMPILE below.
+LTCOMPILE = $(LIBTOOL) --tag CC --tag disable-shared $(LIBTOOLFLAGS) --mode=compile \
+	    $(CC) $(DEFS) $(C_INCLUDES) \
+	    $(glibcxx_lt_pic_flag) $(glibcxx_compiler_shared_flag) \
+	    $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+
 # Libtool notes
 
-# 1) Need to explicitly set LTCXXCOMPILE so that AM_CXXFLAGS is
-# last. (That way, things like -O2 passed down from the toplevel can
-# be overridden by --enable-debug.)
-
-# 2) In general, libtool expects an argument such as `--tag=CXX' when
+# 1) In general, libtool expects an argument such as `--tag=CXX' when
 # using the C++ compiler, because that will enable the settings
 # detected when C++ support was being configured.  However, when no
 # such flag is given in the command line, libtool attempts to figure
@@ -173,9 +170,18 @@
 # correct solution is to add `--tag CXX' to LTCXXCOMPILE and maybe
 # CXXLINK, just after $(LIBTOOL), so that libtool doesn't have to
 # attempt to infer which configuration to use.
-#
-# We have to put --tag disable-shared after --tag CXX lest things
-# CXX undo the affect of disable-shared.
+# 
+# The second tag argument, `--tag disable-shared` means that libtool
+# only compiles each source once, for static objects. In actuality,
+# glibcxx_lt_pic_flag and glibcxx_compiler_shared_flag are added to
+# the libtool command that is used create the object, which is
+# suitable for shared libraries.  The `--tag disable-shared` must be
+# placed after --tag CXX lest things CXX undo the affect of
+# disable-shared.
+
+# 2) Need to explicitly set LTCXXCOMPILE so that AM_CXXFLAGS is
+# last. (That way, things like -O2 passed down from the toplevel can
+# be overridden by --enable-debug.)
 LTCXXCOMPILE = \
 	$(LIBTOOL) --tag CXX --tag disable-shared \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
Index: libstdc++-v3/libsupc++/initializer_list
===================================================================
--- libstdc++-v3/libsupc++/initializer_list	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/libsupc++/initializer_list	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,6 +1,6 @@
 // std::initializer_list support -*- C++ -*-
 
-// Copyright (C) 2008, 2009, 2010, 2011 Free Software Foundation, Inc.
+// Copyright (C) 2008, 2009, 2010, 2011, 2012 Free Software Foundation, Inc.
 //
 // This file is part of GCC.
 //
@@ -77,7 +77,7 @@
       // One past the last element.
       constexpr const_iterator
       end() const noexcept { return begin() + size(); }
-  };
+    };
 
   /**
    *  @brief  Return an iterator pointing to the first element of
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/move_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/move_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/move_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/50119.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/50119.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/50119.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/3.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/3.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/3.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_n/4.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_n/4.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_n/4.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/stable_partition/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/stable_partition/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/stable_partition/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/stable_partition/pr52822.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/stable_partition/pr52822.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/stable_partition/pr52822.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/stable_partition/moveable.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/stable_partition/moveable.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/stable_partition/moveable.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/fill_n/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/fill_n/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/fill_n/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/move_backward/deque_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/move_backward/deque_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/move_backward/deque_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/move_backward/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/move_backward/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/move_backward/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/move/deque_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/move/deque_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/move/deque_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/move/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/move/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/move/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_backward/deque_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_backward/deque_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_backward/deque_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy_backward/move_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy_backward/move_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy_backward/move_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/deque_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/deque_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/deque_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/move_iterators/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/move_iterators/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/move_iterators/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/3.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/3.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/3.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/4.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/4.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/4.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
